Bug 2062 - qmgr logging stops if syslogd is restarted
: qmgr logging stops if syslogd is restarted
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/postfix)
: unstable
: all Linux
: P5 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-01-24 17:47 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-01-24 17:47:25
postfix-1.1.12-alt1

After doing \"service syslogd reload\" (or condreload), log messages from postfix/qmgr are no longer written to /var/log/mail/* until qmgr is restarted (e.g., by \"service postfix reload\"). Because of this, important information is lost (qmgr log lines contains the message sizes required for mail accounting etc.).

The problem seems to go away after creating /dev/log in the postfix chroot jail:

mkdir /var/spool/postfix/dev
ln -s /var/spool/postfix/dev/log /etc/syslog.d/postfix
service syslogd reload
---

---

------- Comment #1 From 2003-01-29 18:30:28 -------
Thanks, fixed in 1:1.1.12-alt2
------- Comment #2 From 2003-01-29 18:30:28 -------
Thanks, fixed in 1:1.1.12-alt2